Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class Operator.DefaultStringComparator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator.DefaultStringComparator

All Implemented Interfaces:
  Operator.StringComparator

Enclosing class:
  Operator

public static class Operator.DefaultStringComparator
extends java.lang.Object
implements Operator.StringComparator

Default StringComparator implementation.

Constructor Summary
`Operator.DefaultStringComparator(boolean ce, boolean ccs)` Constructs a DefaultStringComparator object.

Method Summary
`boolean` | `equals(java.lang.String caption, java.lang.String match)` Compares a caption with a match using switched passed into constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Operator.DefaultStringComparator

    public Operator.DefaultStringComparator(boolean ce,
                                            boolean ccs)

  Constructs a DefaultStringComparator object.
  Parameters:
    `ce` - Compare exactly. If true, text can be a substring of caption.
    `ccs` - Compare case sensitively. If true, both text and caption are

Method Detail

### equals

    public boolean equals(java.lang.String caption,
                          java.lang.String match)

  Compares a caption with a match using switched passed into constructor.
  Specified by:
    `equals` in interface `Operator.StringComparator`
  Parameters:
    `caption` - String to be compared with match. Method returns false, if parameter is null.
    `match` - Sample to compare with. Method returns true, if parameter is null.
  Returns:
    true if text and pattern matches.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD